package com.agiledeveloper.ticktacktoe;

import junit.framework.TestCase;

/**
 * User: Venkat Subramaniam
 * Date: Jul 11, 2004
 * Time: 11:03:46 AM
 */
public class TickTackToeScoreStoreTest extends TestCase
{
    private static final String PLAYERNAME = "Venkat";
    private static final String STORECLASSNAME = "STORE_CLASS_NAME";

    public void testUpdateScore() throws Exception
    {
        ITickTackToeScoreStore store = null;

        try
        {
            String className = System.getProperty(STORECLASSNAME);
            store = (ITickTackToeScoreStore) Class.forName(className).newInstance();
        }
        catch (Exception e)
        {
            e.printStackTrace();
            throw e;
        }

        int score = store.getScore(PLAYERNAME);
        store.updateScore(PLAYERNAME);
        assertEquals(score + 1, store.getScore(PLAYERNAME));
    }
}